import { Component, Input, OnInit } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { KeysPipe } from '@pipes/keys.pipe';

@Component({
	selector: 'app-dynaform',
	templateUrl: './dynaform.component.html',
	styleUrls: ['./dynaform.component.scss'],
	providers: [ KeysPipe ]
})
export class DynaformComponent implements OnInit {

	@Input()
	set meta(val) {
		this.formMetaData = val;
	}

	formMetaData: any; // TODO: Tighten up type
	controlNames: Array<string>;

	constructor(private cc: ControlContainer) {
		console.log(this.cc);
	}

	ngOnInit() {
		console.log('dynaform.component ngOnInit');
		if (this.cc) {
			this.controlNames = Object.keys(this.cc.control.value);
		}
	}

}
